<?php

namespace Modules\Accounts\Repositories;

use Modules\Accounts\Models\ChartOfAccount;

class AccountLinkedRepository
{
    public function findByCode(int $code, array $columns = ['*']): ?ChartOfAccount
    {
        return ChartOfAccount::query()
            ->select($columns)
            ->accountCode($code)
            ->first();
    }
}
